Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class ChainedTilesContextFactory

    java.lang.Object
      org.apache.tiles.context.ChainedTilesContextFactory

All Implemented Interfaces:
  TilesContextFactory, TilesRequestContextFactory, Initializable

Direct Known Subclasses:
  EnhancedContextFactory

Deprecated. Use `ChainedTilesApplicationContextFactory` and `ChainedTilesRequestContextFactory`.

    public class ChainedTilesContextFactory

extends java.lang.Object
implements TilesContextFactory

Default implementation for TilesContextFactory, that creates a chain of sub-factories, trying each one until it returns a not-null value.

Version:
  $Rev: 791161 $ $Date: 2009-07-04 20:53:36 +0200 (sab, 04 lug 2009) $

Field Summary
`static java.lang.String[]` | `DEFAULT_FACTORY_CLASS_NAMES` Deprecated. Simply do not use it.
`static java.lang.String` | `FACTORY_CLASS_NAMES` Deprecated. Simply do not use it.

Constructor Summary
`ChainedTilesContextFactory()` Deprecated.

Method Summary
`TilesApplicationContext` | `createApplicationContext(java.lang.Object context)` Deprecated. Create a TilesApplicationContext for the given context.
`TilesRequestContext` | `createRequestContext(TilesApplicationContext context, java.lang.Object... requestItems)` Deprecated. Create a TilesRequestContext for the given context, request, and response.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> configParameters)` Deprecated. Initializes the object.
`void` | `setFactories(java.util.List<TilesContextFactory> factories)` Deprecated. Simply do not use it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY_CLASS_NAMES

    @Deprecated
    public static final java.lang.String FACTORY_CLASS_NAMES

  Deprecated. Simply do not use it.
  Factory class names initialization parameter to use.

  See Also:
    Constant Field Values

### DEFAULT_FACTORY_CLASS_NAMES

    @Deprecated
    public static final java.lang.String[] DEFAULT_FACTORY_CLASS_NAMES

  Deprecated. Simply do not use it.
  The default class names to instantiate that compose the chain..

Constructor Detail

### ChainedTilesContextFactory

    public ChainedTilesContextFactory()

  Deprecated.

Method Detail

### setFactories

    @Deprecated
    public void setFactories(java.util.List<TilesContextFactory> factories)

  Deprecated. Simply do not use it.

  Sets the factories to be used.

  Parameters:
    `factories` - The factories to be used.

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> configParameters)

  Deprecated.
  Initializes the object.

  Specified by:
    `init` in interface `Initializable`
  Parameters:
    `configParameters` - The map of parameters.

### createApplicationContext

    public TilesApplicationContext createApplicationContext(java.lang.Object context)

  Deprecated.
  Create a TilesApplicationContext for the given context.

  Specified by:
    `createApplicationContext` in interface `TilesContextFactory`
  Parameters:
    `context` - The (application) context to use.
  Returns:
    TilesApplicationContext The Tiles application context.

### createRequestContext

    public TilesRequestContext createRequestContext(TilesApplicationContext context,
                                                    java.lang.Object... requestItems)

  Deprecated.
  Create a TilesRequestContext for the given context, request, and response.

  Specified by:
    `createRequestContext` in interface `TilesRequestContextFactory`
  Parameters:
    `context` - the associated `TilesApplicationContext`
    `requestItems` - the associated request items, typically a request and a response.
  Returns:
    TilesRequestContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.